#!/usr/bin/perl
if ($#ARGV != 1) {die "Usage: translator.pl language file"};
$lang = $ARGV[0];
$filename = $ARGV[1];
open(IN, $filename) or die "Can't open file: $filename";
#Construction du nom de fichier de sortie.
$filename =~ /(.*)\.(.*)/;
$outfile = $1 . "-$lang." . $2;
print "Output file : $outfile\n";
open(OUT, ">$outfile") or die "Cant opent output file for writing" ;

#lecture du fichier -- on met tout en memoire!
$/ = undef;
$f = <IN>;

#un gros coup de regexp pour separer ce qui nous interesse
$f =~ s/<:$lang (.*?):>/$1/sg;
#et on jette le reste
$f =~ s/<:.*?:>//sg;
$f =~ s/\n+/\n/g;
# on sauve dans le fichier de sortie
print OUT $f;
close OUT;
#et on compile
system("sgml2html --language=$lang $outfile");
